Bug 64883 - multiple INDIRECTs result in spurious #REF
Summary: multiple INDIRECTs result in spurious #REF
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: x86-64 (AMD64) macOS (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-22 23:36 UTC by scott
Modified: 2015-04-01 14:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
filea - does INDIRECT to fileb (7.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-22 23:36 UTC, scott
Details
test doc - does an INDIRECT to filed (7.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-22 23:38 UTC, scott
Details
filec - static data (6.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-22 23:39 UTC, scott
Details
test doc - does an INDIRECT to filed (7.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-22 23:39 UTC, scott
Details
fileb - does an INDIRECT to filec (7.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-05-22 23:40 UTC, scott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description scott 2013-05-22 23:36:59 UTC
Created attachment 79685 [details]
filea - does INDIRECT to fileb

I have a chain of files using INDIRECT to refer to each other filea -> fileb -> filec.  See attached files.  (You will need to adjust a pathname in filea and fileb for your situation)

When you open fileb you get the "This file contains links to other files.  SHould they be updated?" dialog.  No matter if you choose Yes or No -- the cell A1, which contains the INDIRECT, will be "#REF!".

Strangely if you select C1 and do Tools > Detective > Trace Precedents then the value appears.

Now close fileb (without saving) and open file.  A similar problem appears, but Trace Precedents won't fix it.

[I can usually get things to work only by opening all the documents (about a dozen in the real case) and doing various Trace/Cut/Undo operations.  And then I have to do it all again next time I reopen one of them.]

This may be related to fdo#45532 but it's not the same.
Comment 1 scott 2013-05-22 23:38:05 UTC
Created attachment 79686 [details]
test doc - does an INDIRECT to filed
Comment 2 scott 2013-05-22 23:39:00 UTC
Created attachment 79687 [details]
filec - static data
Comment 3 scott 2013-05-22 23:39:47 UTC
Created attachment 79688 [details]
test doc - does an INDIRECT to filed
Comment 4 scott 2013-05-22 23:40:51 UTC
Created attachment 79689 [details]
fileb - does an INDIRECT to filec

(got the attachment comment right on the third try, <sigh/>)
Comment 5 ign_christian 2013-05-29 08:30:41 UTC
Same as Bug 64747 ?
Comment 6 m.a.riosv 2013-05-29 23:29:29 UTC
I can not reproduce the issue with:
Win7x64 Ultimate.
Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

Are you sure the path is right?
To verify the path make a direct link with the mouse to see how it is formed.
Write the = and with the mouse click in a cell of a second file and enter.

I have not MAC to verify, in Windows has the format:
='file:///C:/Users/MARV/Downloads/_Test/fileb.ods'#Sheet1.K9
Comment 7 scott 2013-05-30 18:00:36 UTC
(In reply to comment #5)
> Same as Bug 64747 ?

No, Bug 64747 is about INDIRECT always failing if you try to use a name (as created by Insert > Names > Define...).  This bug does not use names.
Comment 8 scott 2013-05-30 18:13:46 UTC
(In reply to comment #6)
> Are you sure the path is right?

Yes, I've rechecked the path.  (And doing a spurious Trace Precedents causes the problem to go away; whereas an incorrect path would never work.)

> To verify the path make a direct link with the mouse to see how it is formed.
> Write the = and with the mouse click in a cell of a second file and enter.
> 
> I have not MAC to verify, in Windows has the format:
> ='file:///C:/Users/MARV/Downloads/_Test/fileb.ods'#Sheet1.K9

When I create a direct link I get:
='file:///Users/dad/Documents/filec.ods'#$Sheet1.A1
(which has a $ that yours doesn't?)

The problem shows up (as in the attachments) when you have no direct links and the other files are not open.

I can reproduce it by downloading the attachments; open filea and fileb and adjust the paths appropriately; close all of them and open only fileb.

If I close all of them and open only filea, the Trace Precedent work-around won't work.
Comment 9 m.a.riosv 2013-05-30 20:33:32 UTC
I hope some else with Mac can do a try.
Comment 10 scott 2013-06-03 12:25:56 UTC
(In reply to comment #6)
> I can not reproduce the issue with:
> Win7x64 Ultimate.
> Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

I'm the original reporter.  I can reproduce the problem as originally reported with the attached files on Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539) on Win7 SP1 64-bit.  I changed the paths as follows:

filea.ods#B1:  'file:///C:/Users/sdouglas/Downloads/filec.ods'#
fileb.ods#B1:  'file:///C:/Users/sdouglas/Downloads/fileb.ods'#

Then closed the files.  Then opened only fileb.

> I have not MAC to verify, in Windows has the format:
> ='file:///C:/Users/MARV/Downloads/_Test/fileb.ods'#Sheet1.K9

Direct link shows that form before accepting the formula.  After pressing Enter the formula adds a '$' to change to this form:

='file:///C:/Users/MARV/Downloads/_Test/fileb.ods'#$Sheet1.K9
Comment 11 scott 2013-06-03 13:31:04 UTC
(In reply to comment #10, I wrote)
> I changed the paths as follows:
> 
> filea.ods#B1:  'file:///C:/Users/sdouglas/Downloads/filec.ods'#
> fileb.ods#B1:  'file:///C:/Users/sdouglas/Downloads/fileb.ods'#

But I meant to write
filea.ods#B1:  'file:///C:/Users/sdouglas/Downloads/fileb.ods'#
fileb.ods#B1:  'file:///C:/Users/sdouglas/Downloads/filec.ods'#

<sigh/>
Comment 12 Owen Genat (retired) 2014-07-22 07:27:51 UTC
Unable to reproduce the problem under MacOS 10.6.8 using v4.3.0.3 Build ID: fcd3838c4097f7817b5b3984fd88a44e1edd8548 (x86). So long as the paths in:

- filea A2
- fileb A2

... are correctly specified, the formulas work as expected. I note the bug is currently marked with architecture x86-64. Scott, which version of MacOS and architecture of LO (Intel/x86 or x86_64) was the problem reported for? Can you test again using a more recent version of LO (and indicate the architecture of the LO install)?

Status set to NEEDINFO. Once the requested information is provided please set the status back to UNCONFIRMED. Thanks.
Comment 13 QA Administrators 2015-02-19 04:42:50 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 14 QA Administrators 2015-04-01 14:52:28 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team